libnjb: njb_struct Struct Reference

# njb_struct Struct Reference

`#include <libnjb.h>`

## Data Fields
struct usb_device * | device
usb_dev_handle * | dev
u_int8_t | usb_config
u_int8_t | usb_interface
u_int8_t | usb_bulk_in_ep
u_int8_t | usb_bulk_out_ep
int | device_type
int | updated
u_int32_t | xfersize
void * | protocol_state
void * | error_stack

## Detailed Description

Main NJB object struct

Examples:

  cursesplay.c, delfile.c, deltr.c, dumpeax.c, dumptime.c, files.c, fwupgrade.c, getfile.c, getowner.c, gettr.c, getusage.c, handshake.c, pl.c, play.c, playlists.c, sendfile.c, sendtr.c, setowner.c, setpbm.c, settime.c, tagtr.c, and tracks.c.

## Field Documentation

usb_dev_handle* njb_struct::dev

The libusb device handle for this jukebox

Referenced by njb_close(), njb_discover(), njb_open(), usb_pipe_read(), usb_pipe_write(), and usb_setup().

struct usb_device* njb_struct::device`[read]`

The libusb device for this jukebox

Referenced by njb_discover(), and njb_open().

int njb_struct::device_type

what kind of jukebox this is

Examples:
  handshake.c.

Referenced by datafile_pack3(), new_folder_pack3(), NJB_Adjust_EAX(), NJB_Capture(), NJB_Close(), njb_close(), NJB_Create_Folder(), NJB_Delete_Datafile(), NJB_Delete_Playlist(), NJB_Delete_Track(), njb_device_is_usb20(), njb_discover(), NJB_Elapsed_Time(), NJB_Get_Auxpower(), NJB_Get_Battery_Charging(), NJB_Get_Battery_Level(), NJB_Get_Bitmap_Dimensions(), NJB_Get_Datafile_Tag(), NJB_Get_Device_Name(), njb_get_device_protocol(), NJB_Get_Disk_Usage(), NJB_Get_EAX_Type(), NJB_Get_Firmware_Revision(), NJB_Get_Hardware_Revision(), NJB_Get_NJB1_Libcounter(), NJB_Get_Owner_String(), NJB_Get_Playlist(), NJB_Get_SDMI_ID(), NJB_Get_Time(), NJB_Get_Track_fd(), NJB_Get_Track_Tag(), njb_get_usb_device_name(), NJB_Handshake(), NJB_Open(), NJB_Ping(), NJB_Play_Track(), NJB_Queue_Track(), NJB_Release(), NJB_Replace_Track_Tag(), NJB_Reset_Get_Datafile_Tag(), NJB_Reset_Get_EAX_Type(), NJB_Reset_Get_Playlist(), NJB_Reset_Get_Track_Tag(), NJB_Send_File(), NJB_Send_Track(), NJB_Set_Owner_String(), NJB_Set_Time(), NJB_Stop_Play(), and NJB_Update_Playlist().

void* njb_struct::error_stack

Error stack, used inside libnjb

Referenced by NJB_Error_Geterror(), NJB_Error_Pending(), and NJB_Error_Reset_Geterror().

void* njb_struct::protocol_state

dereferenced and maintained individually by protocol implementations

Referenced by njb3_destroy_state(), njb3_init_state(), njb3_reset_get_datafile_tag(), njb3_reset_get_playlist_tag(), NJB_Adjust_EAX(), NJB_Capture(), NJB_Get_Auxpower(), NJB_Get_Battery_Charging(), NJB_Get_Battery_Level(), NJB_Get_Bitmap_Dimensions(), NJB_Get_Datafile_Tag(), NJB_Get_Device_Name(), NJB_Get_Extended_Tags(), NJB_Get_Firmware_Revision(), NJB_Get_Hardware_Revision(), njb_get_nexteax(), NJB_Get_NJB1_Libcounter(), NJB_Get_Playlist(), NJB_Get_SDMI_ID(), NJB_Get_Track_fd(), NJB_Get_Track_Tag(), NJB_Handshake(), njb_init_state(), njb_ping(), njb_read_eaxtypes(), NJB_Reset_Get_Datafile_Tag(), NJB_Reset_Get_Playlist(), NJB_Reset_Get_Track_Tag(), and NJB_Set_Turbo_Mode().

int njb_struct::updated

If the device has been updated with some metadata

u_int8_t njb_struct::usb_bulk_in_ep

The BULK IN endpoint for this jukebox

Referenced by usb_pipe_read().

u_int8_t njb_struct::usb_bulk_out_ep

The BULK OUT endpoint for this jukebox

Referenced by njb_close(), and usb_pipe_write().

u_int8_t njb_struct::usb_config

The libusb config for this jukebox

Referenced by njb_open().

u_int8_t njb_struct::usb_interface

The libusb interface for this jukebox

Referenced by njb_close(), and njb_open().

u_int32_t njb_struct::xfersize

The transfer size for endpoints

The documentation for this struct was generated from the following file:

- /tmp/libnjb-2.2.6/src/libnjb.h